> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-admin/9.3-administer/customize-pentaho-products-cp/customize-the-pentaho-user-console/location-of-customizable-configuration-files.md).

# Location of customizable configuration files

## Mantle style CSS

This is the structural cascading style sheet for the Pentaho User Console. It inherits some elements from the `Widgets.css` file in the same directory, so you may need to look at that as well. Modifying these styles could have dramatic impact on Pentaho User Console rendering.

`pentaho/server/pentaho-server/tomcat/webapps/pentaho/mantle/MantleStyle.css`

## Theme-specific local and global style sheets for PUC

These directories contain style sheets and other theme materials for each Pentaho Server client tool.

| File Name           | Location                                                                              | Description                                                                                                                   |
| ------------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| `globalRuby.css`    | `/server/pentaho-server/pentaho-solutions/system/common-ui/resources/themes/ruby/`    | This is the main structural, theme-specific style sheet for the default theme for the User Console (Ruby).                    |
| `mantleRuby.css`    | `/server/pentaho-server/tomcat/webapps/pentaho/mantle/themes/ruby/`                   | This is the customizable presentation portion of the theme style sheet for the default theme for the User Console (Ruby).     |
| `globalCrystal.css` | `/server/pentaho-server/pentaho-solutions/system/common-ui/resources/themes/crystal/` | This is the main structural, theme-specific style sheet for an alternate theme for the User Console (Crystal).                |
| `mantleCrystal.css` | `/server/pentaho-server/tomcat/webapps/pentaho/mantle/themes/crystal/`                | This is the customizable presentation portion of the theme style sheet for an alternate theme for the User Console (Crystal). |

## Product-specific theme settings for Analyzer, Dashboard Designer, and Interactive Reports

These directories contain style sheets and other theme materials for each.

Set the `<cache>false</cache>` in `pentaho-solutions/system/common-ui/settings.xml` while customizing these plugins. Otherwise, the changes are not visible without a server restart.

| Product Name        | Location                                                                       | Description                                                 |
| ------------------- | ------------------------------------------------------------------------------ | ----------------------------------------------------------- |
| Analyzer            | `pentaho-solutions/system/analyzer/styles/themes/`                             | Style sheets and theming materials for Analyzer.            |
| Interactive Reports | `pentaho-solutions/system/pentaho-interactive-reporting/resources/web/themes/` | Style sheets and theming materials for Interactive Reports. |
| Dashboard Designer  | `pentaho-solutions/system/dashboards/resources/themes/`                        | Style sheets and theming materials for Dashboard Designer.  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/pdia-admin/9.3-administer/customize-pentaho-products-cp/customize-the-pentaho-user-console/location-of-customizable-configuration-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
